summaryrefslogtreecommitdiffstats
path: root/packaging
diff options
context:
space:
mode:
authorsu_v <suv-sf@users.sourceforge.net>2014-08-24 23:22:19 +0000
committer~suv <suv-sf@users.sourceforge.net>2014-08-24 23:22:19 +0000
commit756b0bc2bc38ea91615f3a34608328c1e8b15ae3 (patch)
tree5c9a9b74bf1690abd2e5c6bc392ec09951c5cfc8 /packaging
parentadd debug options to launcher script (diff)
downloadinkscape-756b0bc2bc38ea91615f3a34608328c1e8b15ae3.tar.gz
inkscape-756b0bc2bc38ea91615f3a34608328c1e8b15ae3.zip
osx-app.sh: check for python_dir if 'add_python' is true (needs fixing)
(bzr r13506.1.45)
Diffstat (limited to 'packaging')
-rwxr-xr-xpackaging/macosx/osx-app.sh19
1 files changed, 13 insertions, 6 deletions
diff --git a/packaging/macosx/osx-app.sh b/packaging/macosx/osx-app.sh
index 3fb1585e1..5bb2a5340 100755
--- a/packaging/macosx/osx-app.sh
+++ b/packaging/macosx/osx-app.sh
@@ -135,12 +135,19 @@ if [ ! -f "$plist" ]; then
exit 1
fi
-# if [ ${add_python} = "true" ]; then
-# if [ "x$python_dir" == "x" ]; then
-# echo "Python modules directory not specified." >&2
-# exit 1
-# fi
-# fi
+if [ ${add_python} = "true" ]; then
+ if [ "x$python_dir" == "x" ]; then
+ echo "Python modules will be copied from MacPorts tree."
+ else
+ if [ ! -e "$python_dir" ]; then
+ echo "Python modules directory \""$python_dir"\" not found." >&2
+ exit 1
+ else
+ # TODO: check directoy structure and reject old one based on ppc/i386
+ echo "Python modules will be copied from $python_dir."
+ fi
+ fi
+fi
if [ ! -e "$LIBPREFIX" ]; then
echo "Cannot find the directory containing the libraires: $LIBPREFIX" >&2